org.apache.sysds.runtime.instructions.spark

## Class WriteSPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.spark.SPInstruction
    - - org.apache.sysds.runtime.instructions.spark.WriteSPInstruction

- All Implemented Interfaces:
    LineageTraceable

      public class WriteSPInstruction
      extends SPInstruction
      implements LineageTraceable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

      `SPInstruction.SPType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CPOperand` | `input1`

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileFormatProperties` | `getFormatProperties()`
    `CPOperand` | `getInput1()`
    `CPOperand` | `getInput2()`
    `org.apache.commons.lang3.tuple.Pair<String,LineageItem>` | `getLineageItem(ExecutionContext ec)` Obtain lineage trace of an instruction with a single output.
    `static WriteSPInstruction` | `parseInstruction(String str)`
    `void` | `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.
    `void` | `setFormatProperties(FileFormatProperties prop)`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

      `getGraphString, getSPInstructionType, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

      `getLineageItems, hasSingleLineage`

- - ### Field Detail

    - #### input1

          public CPOperand input1

  - ### Method Detail

    - #### parseInstruction

          public static WriteSPInstruction parseInstruction(String str)

    - #### getFormatProperties

          public FileFormatProperties getFormatProperties()

    - #### setFormatProperties

          public void setFormatProperties(FileFormatProperties prop)

    - #### getInput1

          public CPOperand getInput1()

    - #### getInput2

          public CPOperand getInput2()

    - #### processInstruction

          public void processInstruction(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used to execute the instruction.
      Specified by:
        `processInstruction` in class `SPInstruction`
      Parameters:
        `ec` - execution context

    - #### getLineageItem

          public org.apache.commons.lang3.tuple.Pair<String,LineageItem> getLineageItem(ExecutionContext ec)

      Description copied from interface: `LineageTraceable`
      Obtain lineage trace of an instruction with a single output.
      Specified by:
        `getLineageItem` in interface `LineageTraceable`
      Parameters:
        `ec` - execution context w/ live variables
      Returns:
        pair of (output variable name, output lineage item)

Copyright © 2021 The Apache Software Foundation. All rights reserved.